﻿.navbar-footer {
    position: fixed;
    padding: 2em;
    top: 95%;
    transform: translate(-50%, -50%);
}

.mini-navbar .navbar-footer {
    visibility: hidden;
}

.btn-primary-blue {
    color: white;
    border-color: #41A6AF;
    background-color: #41A6AF;
}

    .btn-primary-blue:hover {
        background-color: #39939b;
        border-color: #39939b;
        color: #FFFFFF;
    }

.btn.btn-circle.btn-lg.fix-center {
    padding: 10px 6px;
}

.scrollable-x {
    overflow-x: auto;
}

.btn-semaforo-verde {
    color: white;
    border-color: #01ad01;
    background-color: #01ad01;
}

    .btn-semaforo-verde:hover {
        color: white;
        border-color: #008700;
        background-color: #008700;
    }
.btn-semaforo-amarillo {
    color: white;
    border-color: #FFB300;
    background-color: #FFB300;
    border-color: black;
    border-width: 2.5px;
}

    .btn-semaforo-amarillo:hover {
        color: white;
        border-color: #d69602;
        background-color: #d69602;
    }
.btn-semaforo-rojo {
    color: white;
    border-color: #FF1C16;
    background-color: #FF1C16;
}

    .btn-semaforo-rojo:hover {
        color: white;
        border-color: #d31813;
        background-color: #d31813;
    }


input[type=checkbox] + label {
    display: block;
    cursor: pointer;
    margin: 1px !important;
    padding: 0px !important;
    width: auto;
}

input[type=checkbox] {
    display: none;
}

    input[type=checkbox] + label:before {
        content: "\2714";
        border: 0.1em solid #000;
        border-radius: 0.2em;
        display: inline-block;
        width: 1.5em;
        height: 1.5em;
        padding-left: 0.2em;
        padding-right: 0.2em;
        padding-bottom: 0.3em;
        margin-right: 0.2em;
        vertical-align: bottom;
        color: transparent;
        transition: .2s;
    }

    input[type=checkbox] + label:active:before {
        transform: scale(0);
    }

    input[type=checkbox]:checked + label:before {
        background-color: #01ad01;
        border-color: #01ad01;
        color: #fff;
    }



    input[type=checkbox]:disabled + label:before, input[type=checkbox]:read-only + label:before {
        transform: scale(1);
        border-color: #aaa;
    }

    input[type=checkbox]:checked:disabled + label:before, input[type=checkbox]:checked:read-only + label:before {
        transform: scale(1);
        background-color: #bfb;
        border-color: #bfb;
    }

    .datepicker table tr td.disabled {
        color: white !important;
    }

.password-container {
    position: relative;
    display: flex;
    align-items: center;
}

    .password-container input[type="password"],
    .password-container input[type="text"] {
        width: 100%;
        padding-right: 40px;
    }

    .password-container .toggle-password {
        position: absolute;
        right: 10px;
        cursor: pointer;
        z-index: 3;
    }

.lblError {
    font-weight: normal;
    color: red;
}